#include <bits/stdc++.h>
using namespace std;

const int maxn=2e5+1;

int n;
pair <double, double> a[maxn];
long double s[maxn], maxsum, maxp;

int main(){
	cin>>n;
	for(int i=0; i<n; i++) cin>>a[i].second>>a[i].first;
	sort(a, a+n);
	
	for(int i=0; i<n; i++)
		s[i]= i?(s[i-1]+a[i].second):a[0].second;
	
	for(int i=0; i<n; i++){
		long double p=a[i].first, temp=s[n-1]-(i?s[i-1]:0);
		maxsum=max(maxsum, temp*p);
	}
	maxsum/=100.0;
	cout<<fixed<<setprecision(4)<<maxsum;
	return 0;
}